API referenceBatch
Get batch status
Poll a batch's progress (webhook-down fallback). (GET /v1/batches/{id})
Last updated
GET
/v1/batches/{id}- Auth
- Bearer API key
- Billing
- free (0 credits).
Poll a batch's progress (webhook-down fallback). Free.
Example request
curl -X GET "https://api.sightradar.com/v1/batches/$ID" \
-H "Authorization: Bearer $SR_API_KEY"Put each id in the path percent-encoded, as a single path segment. An id with /, ?, #, % or a space otherwise addresses a different URL. In code, use your HTTP library's path encoding (for example encodeURIComponent in JavaScript or urllib.parse.quote(id, safe="") in Python).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
id required | path | string |
Response body
| Field | Type | Description |
|---|---|---|
batch_id | string | |
collection_id | string | |
op | string | |
status | string | |
total_photos | integer | |
succeeded | integer | |
failed | integer | |
pending | integer | |
claimed | integer | |
created_at | string |
Status codes
| Status | Meaning |
|---|---|
200 | Batch status. |
401 | Missing or invalid API key. |
404 | Resource not found. |